Loading...
Searching...
No Matches
RDKit::AdditionalOutput Struct Reference

`#include <FingerprintGenerator.h>`

## Public Types

using | atomToBitsType = std::vector<std::vector<std::uint64_t>>
using | bitInfoMapType
using | bitPathsType = std::map<std::uint64_t, std::vector<std::vector<int>>>
using | atomCountsType = std::vector<unsigned int>
using | atomsPerBitType

## Public Member Functions

void | allocateAtomToBits ()
void | allocateBitInfoMap ()
void | allocateBitPaths ()
void | allocateAtomCounts ()
void | allocateAtomsPerBit ()

## Public Attributes

atomToBitsType * | atomToBits = nullptr
bitInfoMapType * | bitInfoMap = nullptr
bitPathsType * | bitPaths = nullptr
atomCountsType * | atomCounts = nullptr
atomsPerBitType * | atomsPerBit = nullptr

## Detailed Description

Definition at line 27 of file FingerprintGenerator.h.

## Member Typedef Documentation

## atomCountsType

using RDKit::AdditionalOutput::atomCountsType = std::vector<unsigned int>

Definition at line 33 of file FingerprintGenerator.h.

## atomsPerBitType

using RDKit::AdditionalOutput::atomsPerBitType

Initial value:
std::map<std::uint64_t, std::vector<std::vector<int>>>

Definition at line 34 of file FingerprintGenerator.h.

## atomToBitsType

using RDKit::AdditionalOutput::atomToBitsType = std::vector<std::vector<std::uint64_t>>

Definition at line 28 of file FingerprintGenerator.h.

## bitInfoMapType

using RDKit::AdditionalOutput::bitInfoMapType

Initial value:
std::map<std::uint64_t,
std::vector<std::pair<std::uint32_t, std::uint32_t>>>

Definition at line 29 of file FingerprintGenerator.h.

## bitPathsType

using RDKit::AdditionalOutput::bitPathsType = std::map<std::uint64_t, std::vector<std::vector<int>>>

Definition at line 32 of file FingerprintGenerator.h.

## Member Function Documentation

## allocateAtomCounts()

void RDKit::AdditionalOutput::allocateAtomCounts | ( |  | ) |

inline

Definition at line 67 of file FingerprintGenerator.h.

References atomCounts.

## allocateAtomsPerBit()

void RDKit::AdditionalOutput::allocateAtomsPerBit | ( |  | ) |

inline

Definition at line 71 of file FingerprintGenerator.h.

References atomsPerBit.

## allocateAtomToBits()

void RDKit::AdditionalOutput::allocateAtomToBits | ( |  | ) |

inline

Definition at line 55 of file FingerprintGenerator.h.

References atomToBits.

## allocateBitInfoMap()

void RDKit::AdditionalOutput::allocateBitInfoMap | ( |  | ) |

inline

Definition at line 59 of file FingerprintGenerator.h.

References bitInfoMap.

## allocateBitPaths()

void RDKit::AdditionalOutput::allocateBitPaths | ( |  | ) |

inline

Definition at line 63 of file FingerprintGenerator.h.

References bitPaths.

## Member Data Documentation

## atomCounts

atomCountsType* RDKit::AdditionalOutput::atomCounts = nullptr

Definition at line 50 of file FingerprintGenerator.h.

Referenced by allocateAtomCounts().

## atomsPerBit

atomsPerBitType* RDKit::AdditionalOutput::atomsPerBit = nullptr

Definition at line 53 of file FingerprintGenerator.h.

Referenced by allocateAtomsPerBit().

## atomToBits

atomToBitsType* RDKit::AdditionalOutput::atomToBits = nullptr

Definition at line 38 of file FingerprintGenerator.h.

Referenced by allocateAtomToBits().

## bitInfoMap

bitInfoMapType* RDKit::AdditionalOutput::bitInfoMap = nullptr

Definition at line 42 of file FingerprintGenerator.h.

Referenced by allocateBitInfoMap().

## bitPaths

bitPathsType* RDKit::AdditionalOutput::bitPaths = nullptr

Definition at line 46 of file FingerprintGenerator.h.

Referenced by allocateBitPaths().

The documentation for this struct was generated from the following file:

- FingerprintGenerator.h